# $Id: backend.mk 62 2008-03-15 11:23:39Z fli $

CFLAGS+= -fpic -fPIC
SHLIB=	${LIB}.so
OBJS=	${SRCS:.c=.o}
PREFIX  ?= /usr/local
DEST=${PREFIX}/share/birdb

all: ${LIB}.so

${LIB}.so: $(OBJS)
	${CC} ${LDFLAGS} -shared -Wl,-x \
		-o ${SHLIB} -Wl,-soname,${SHLIB} \
		`lorder ${OBJS} | tsort -q`

install:
	${INSTALL} -d -o root -m 0444 ${DEST}
	${INSTALL} -o root -m 0444 ${SHLIB} ${DEST}/${SHLIB} 

clean:
	-@rm ${OBJS}
	-@rm ${SHLIB} 

.if !defined(EXTRAINSTALL)
module-install:
.endif
